#!/bin/ksh

ECHO="/bin/echo"

APAR_NUM="IY56108"
WCS_BACKUP_JAR="$APAR_NUM"_wc_SUN_backup.jar
UNINSTALLLOGFILENAME="uninstall"$APAR_NUM"_wc_SUN.log"

$ECHO "  "
$ECHO "Uninstall eFix" $APAR_NUM "for WebSphere Commerce, SUN"
$ECHO "Please shut down the Application Server and any Webservers that might be running"
$ECHO "  "

# print usage.
print_usage() {
   $ECHO "usage: `basename $0` <wc_home> <was_home>"
   $ECHO "Example: ./uninstall_wc.sh /opt/WebSphere/CommerceServer /opt/WebSphere/AppServer"
}


# Check if required directories exist.
check_paths() {
local val=1

   if [ -d $WC_HOME ] && val=2 && [ -d $WAS_HOME ]
   then
#       $ECHO "---- Components path check passed -----"
        return $TRUE
   else
        $ECHO "---- Please correct following error: ----"

        case $val in
           1) $ECHO "Invalid WC_HOME directory."
              ;;
           2) $ECHO "Invalid WAS_HOME directory."
              ;;
        esac
   fi

   return $FALSE
}

# checks if required files exist.
check_files() {
local val=1

   if [ -f $WCS_BACKUP_JAR ] && val=2 && \
      [ -f $WAS_HOME/properties/com/ibm/websphere/product.xml ]
   then
#   	$ECHO "---- Files check passed ----"
	return $TRUE
   else
   	$ECHO "---- Please correct following error: ----"

	case $val in
	   1) $ECHO "The following file does not exist: $WCS_BACKUP_JAR"
	      ;;
           2) $ECHO "The following file does not exist: $WAS_HOME/properties/com/ibm/websphere/product.xml"
              ;;
	esac
   fi

   return $FALSE;
}

# beginning of script.
#clear

TRUE=0
FALSE=1

#ensure correct number of arguments provided.
if [ $# -ne 2 ]; then
   print_usage
   exit 0
else
   WC_HOME=$1
   WAS_HOME=$2
fi


# check if necessary components install path exist.
if check_paths; then
   $ECHO "main - check path PASSED."
else
   $ECHO "main - check path FAILED."
   exit 0
fi


# check if necessary files exist.
if check_files; then
   $ECHO "main - check files PASSED."
else
   $ECHO "main - check files FAILED."
   exit 0
fi

# Uninstall eFix for WebSphere Commerce, SUN
$ECHO "main - uninstalling eFix."

$WAS_HOME/java/jre/bin/java -jar $WCS_BACKUP_JAR -log $UNINSTALLLOGFILENAME


$ECHO "main - Uninstalling eFix" $APAR_NUM " complete"

exit 0
